# SWMODD UCI

<tbody>
  <tr>
    <td colspan="2">
      <div style="font-weight: bold;">swmodd</div>
      <table style="width: 100%;">
        <tbody>
          <tr>
            <td><div style="font-weight: bold; font-size: 14px;">section</div></td>
            <td><div style="font-weight: bold; font-size: 14px;">description</div></td>
            <td><div style="font-weight: bold; font-size: 14px;">multi</div></td>
            <td><div style="font-weight: bold; font-size: 14px;">options</div></td>
          </tr>
          <tr>
            <td class="td_row_even"><div class="td_row_even">globals</div></td>
            <td class="td_row_even"><div class="td_row_even">Configuration of SWMODD</div></td>
            <td class="td_row_even"><div class="td_row_even">false</div></td>
            <td class="td_row_even">
              <table style="width: 100%;">
                <tbody>
                  <tr>
                    <td><div style="font-weight: bold; font-size: 14px;">name</div></td>
                    <td><div style="font-weight: bold; font-size: 14px;">type</div></td>
                    <td><div style="font-weight: bold; font-size: 14px;">required</div></td>
                    <td><div style="font-weight: bold; font-size: 14px;">default</div></td>
                    <td><div style="font-weight: bold; font-size: 14px;">description</div></td>
                  </tr>
                  <tr>
                    <td class="td_row_even"><div class="td_row_even">enabled</div></td>
                    <td class="td_row_even"><div class="td_row_even">boolean</div></td>
                    <td class="td_row_even"><div class="td_row_even">yes</div></td>
                    <td class="td_row_even"><div class="td_row_even">0</div></td>
                    <td class="td_row_even"><div class="td_row_even">If set to <b>1</b>, SWMODD will be enabled</div></td>
                  </tr>
                  <tr>
                    <td class="td_row_odd"><div class="td_row_odd">lan_bridge</div></td>
                    <td class="td_row_odd"><div class="td_row_odd">string</div></td>
                    <td class="td_row_odd"><div class="td_row_odd">yes</div></td>
                    <td class="td_row_odd"><div class="td_row_odd">br-lan</div></td>
                    <td class="td_row_odd"><div class="td_row_odd">This option is applicable for OCI based application containers only. It must be a valid bridge name where application containers network namespace shall be attached</div></td>
                  </tr>
                  <tr>
                    <td class="td_row_even"><div class="td_row_even">debug</div></td>
                    <td class="td_row_even"><div class="td_row_even">boolean</div></td>
                    <td class="td_row_even"><div class="td_row_even">no</div></td>
                    <td class="td_row_even"><div class="td_row_even">1</div></td>
                    <td class="td_row_even"><div class="td_row_even">If set to <b>1</b> debugging is enabled</div></td>
                  </tr>
                  <tr>
                    <td class="td_row_odd"><div class="td_row_odd">lxc_bundle_root</div></td>
                    <td class="td_row_odd"><div class="td_row_odd">string</div></td>
                    <td class="td_row_odd"><div class="td_row_odd">yes</div></td>
                    <td class="td_row_odd"><div class="td_row_odd"></div></td>
                    <td class="td_row_odd"><div class="td_row_odd">This option is valid for LXC based containers. It must be a non-volatile secondary memory location where LXC based containers are installed</div></td>
                  </tr>
                  <tr>
                    <td class="td_row_even"><div class="td_row_even">oci_bundle_root</div></td>
                    <td class="td_row_even"><div class="td_row_even">string</div></td>
                    <td class="td_row_even"><div class="td_row_even">yes</div></td>
                    <td class="td_row_even"><div class="td_row_even"></div></td>
                    <td class="td_row_even"><div class="td_row_even">This option is valid for OCI based application containers. This must be a non-volatile secondary memory location for installation of OCI based application containers</div></td>
                  </tr>
                  <tr>
                    <td class="td_row_odd"><div class="td_row_odd">log_level</div></td>
                    <td class="td_row_odd"><div class="td_row_odd">integer</div></td>
                    <td class="td_row_odd"><div class="td_row_odd">no</div></td>
                    <td class="td_row_odd"><div class="td_row_odd">3</div></td>
                    <td class="td_row_odd">
		      <div class="td_row_odd">
		        Specifies the log type to use. Supported values are:
			<table>
			  <tr>
			    <td> value </td>
			    <td> type </td>
			  <tr>
			  <tr>
			    <td> 0 </td>
			    <td> EMERGENCY </td>
			  </tr>
			  <tr>
			    <td> 1 </td>
			    <td> ALERT </td>
			  </tr>
			  <tr>
			    <td> 2 </td>
			    <td> CRITICAL </td>
			  </tr>
			  <tr>
			    <td> 3 </td>
			    <td> ERROR </td>
			  </tr>
			  <tr>
			    <td> 4 </td>
			    <td> WARNING </td>
			  </tr>
			  <tr>
			    <td> 5 </td>
			    <td> NOTICE </td>
			  </tr>
			  <tr>
			    <td> 6 </td>
			    <td> INFO </td>
			  </tr>
			  <tr>
			    <td> 7 </td>
			    <td> DEBUG </td>
			  </tr>
			</table>
		      </div>
		    </td>
                  </tr>
                </tbody>
              </table>
            </td>
          </tr>
        </tbody>
      </table>
    </td>
  </tr>
</tbody>

